Package org.eclipse.m2m.atl.emftvm.cdo.impl

# Class CDOMetamodelImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.m2m.atl.emftvm.impl.ModelImpl
org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelImpl
org.eclipse.m2m.atl.emftvm.cdo.impl.CDOMetamodelImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Metamodel`, `Model`

public class CDOMetamodelImpl extends CDOModelImpl implements Metamodel
CDO implementation of `Metamodel`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelImpl

`CDOModelImpl.InResourceList`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`ModelImpl.InstanceOfList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Set<String>`
`ambiguousTypes`
Set of ambiguous type names (more than one occurrence).
`protected Map<String,org.eclipse.emf.ecore.EClassifier>`
`types`
Lookup table of ((type name) -> (type)).

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`allInstancesMap, ALLOW_INTER_MODEL_REFERENCES_EDEFAULT, allowInterModelReferences, resource, RESOURCE_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`CDOMetamodelImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
Returns the `EClass` that correspond to this metaclass.
`org.eclipse.emf.ecore.EClassifier`
`findType(String typeName)`
Finds the type/metaclass with the given

### Methods inherited from class org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelImpl

`allInstancesOf, deleteElement, newElement, setResource`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`eGet, eIsSet, eSet, eUnset, getResource, isAllowInterModelReferences, setAllowInterModelReferences, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Model

`allInstancesOf, deleteElement, getResource, isAllowInterModelReferences, newElement, setAllowInterModelReferences, setResource`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### types

protected Map<String,org.eclipse.emf.ecore.EClassifier> types
Lookup table of ((type name) -> (type)).

### ambiguousTypes

protected Set<String> ambiguousTypes
Set of ambiguous type names (more than one occurrence).

## Constructor Details

### CDOMetamodelImpl

public CDOMetamodelImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()
Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `ModelImpl`
Returns:
  the `EClass` that correspond to this metaclass.

### findType

public org.eclipse.emf.ecore.EClassifier findType(String typeName)
Finds the type/metaclass with the given

    typeName

within this `Metamodel`.

Specified by:
  `findType` in interface `Metamodel`
Parameters:
  `typeName` - the type/metaclass name (may be fully qualified using '

      ::

  ')
Returns:
  the type/metaclass with the given

      typeName

  within this `Metamodel`.